// ========================================================== //
//                          Buttons                           //
// ========================================================== //
$btn-border-radius:                     var(--var-base-border-raduis) !default;
$btn-font-family:                       $base-font-family !default;
$btn-font-weight:                       $base-font-weight !default;
$btn-padding-vertical:                  rem(9) !default;
$btn-padding-horizontal:                rem(24) !default;
$btn-icon-margin-horizontal:            rem(8) !default;
$btn-box-shadow:                        0 2px 5px 0 rgba(0, 0, 0, .2), 0 2px 10px 0 rgba(0, 0, 0, .1) !default;




// ========================================================== //
//                          Badges                            //
// ========================================================== //
$badge-border-radius:                   var(--var-base-border-raduis) !default;
$badge-font-size:                       rem(12) !default;
$badge-lg-font-size:                    rem(16) !default;
$badge-xl-font-size:                    rem(20) !default;
$badge-padding-vertical:                em(6) !default;
$badge-padding-horizontal:              em(12) !default;
$badge-round-padding-horizontal:        em(16) !default;




// ========================================================== //
//                          Alerts                            //
// ========================================================== //
$alert-border-radius:                   var(--var-base-border-raduis) !default;
$alert-spacing-vertical:                rem(14) !default;
$alert-spacing-horizontal:              rem(24) !default;
$alert-fill-size:                       5px !default;
$alert-box-shadow:                      0 0 0 100vmax rgba(255, 255, 255, .1) inset !default;
$alert-link-box-shadow:                 0 0 0 100vmax rgba(255, 255, 255, .45) inset !default;




// ========================================================== //
//                          Breadcrumbs                       //
// ========================================================== //
$breacrumb-separator:                   "/" !default;
$breacrumb-spacing:                     20px !default;




// ========================================================== //
//                             Cards                          //
// ========================================================== //
$card-shadow:                          #{$base-shadow-default} !default;
$card-border-color:                    rgba(0, 0, 0, .125) !default;
$card-radius:                          #{$base-border-radius} !default;
$card-fill-gutter:                     #{$gutter-card-fill} !default;




// ========================================================== //
//                           Forms                            //
// ========================================================== //
$field-default-color:                   var(--gray-500-color);
$field-label-margin:                    10px !default;
$field-line-height:                     25px !default;
$field-icon-space:                      40 !default;
$field-icon-padding:                    15 !default;
$field-checkbox-size:                   22px !default;

$field-switch-width:                    50px !default;
$field-switch-height:                   22px !default;
$field-switch-space:                    2px !default;
$field-switch-icon-size:                $field-switch-height - 2 * $field-switch-space;




// ========================================================== //
//                          Tables                            //
// ========================================================== //
$table-border-color:                    var(--gray-300-color) !default;
$table-odd-color:                       var(--gray-100-color) !default;
$table-padding-vertical:                12px !default;
$table-padding-horizontal:              15px !default;
$table-padding-horizontal:              15px !default;
$table-fill-size:                       3px !default;




// ========================================================== //
//                       Paginations                          //
// ========================================================== //
$pagination-shadow:                     0 5px 15px rgba(0, 0, 0, .2) !default;
$pagination-item-background-hover:      var(--gray-100-color) !default;
$pagination-item-size-rem:              40 !default;
$pagination-item-margin:                2px !default;
$pagination-navigation-margin:          10px !default;
$pagination-link-font-weight:           500 !default;




// ========================================================== //
//                          Sidebars                          //
// ========================================================== //
$sidebar-min-width:                     $min-width - 20px !default;
$sidebar-item-padding-horizontal:       em(32) !default;
$sidebar-item-padding-vertical:         em(10) !default;




// ========================================================== //
//                           Modals                           //
// ========================================================== //
$modal-min-width:                       $min-width !default;
$modal-margin:                          em(32) !default;
$modal-transform:                       em(32) !default;
